<template>
    <v-footer class="custom-footer" color="primary-light secondary" padless elevation="3">
        <!-- <v-row justify="space-around" no-gutters> -->
<!-- 
            <v-btn color="white" text rounded small class="my-2">
                {{ item.title }}
            </v-btn> -->
            <div class="footer-top">
              <v-container width="80%">
                <v-row justify="space-around">

                  <v-col v-for="(value, key) in items" :key="key" cols="12" sm="3">
                    <h4 class="white--text">{{key}}</h4>
                    <v-list color="primary-light" dark >
                      <v-list-item v-for="obj in value" :key="obj.title">
                        <v-list-item-content>
                          <v-list-item-title >
                            <router-link :to="{ name: obj.route }" class="white--text" style="text-decoration: none;">{{obj.title}}</router-link>
                            </v-list-item-title>
                        </v-list-item-content>
                      </v-list-item>
                    </v-list>
                  </v-col>
                </v-row>
              </v-container>
            </div>
            <v-divider color="white"></v-divider>
            <div class="footer-bottom">
              <v-col class="black text-center white--text" cols="12">
                  {{ new Date().getFullYear() }} — <strong>&copy;Tech2Rent</strong>
              </v-col>
            </div>
        <!-- </v-row> -->
    </v-footer>
</template>

<script>

export default {
  name: 'Footer',
  components: {
  },

  data: () => ({
    items: {

      'A propos' : [
        { title: 'FAQ' ,route:'home' },
        { title: 'Contact' ,route:'home' },
        { title: 'Conditions générales' ,route:'home' },
      ],
      'Session' : [
        { title: 'Connexion' ,route:'login' },
        { title: 'Inscription' ,route:'register' },
        { title: 'Mot de passe oublié' ,route:'resetPasswordEmail' },
      ],
      'Liens directs' : [
        { title: 'Produits' ,route:'products' },
        // { title: 'Produits' ,route:'products' },
      ],
      'Social' : [
        { title: 'Facebook' ,route:'home' },
        { title: 'Twitter' ,route:'home' },
        { title: 'Instagram' ,route:'home' },
      ],

    },
    selectedTab:null,
    avatarUrl: null
  }),
  methods: {
  },
};
</script>

<style lang="scss" scoped>
  .custom-footer {
    display: block;
  }
</style>